From 0e1234e5b99a4d8dd4b187808c6431b1fd0ea589 Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Thu, 31 Jul 2014 13:53:12 +0200
Subject: [PATCH] Don't set Torbutton environment vars globally

---
 config/chroot_local-includes/etc/environment         | 11 -----------
 config/chroot_local-includes/usr/local/bin/iceweasel | 11 +++++++++++
 2 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/config/chroot_local-includes/etc/environment b/config/chroot_local-includes/etc/environment
index a503d1e..bca4056 100644
--- a/config/chroot_local-includes/etc/environment
+++ b/config/chroot_local-includes/etc/environment
@@ -5,17 +5,6 @@ HTTPS_PROXY=http://127.0.0.1:8118
 SOCKS_SERVER=127.0.0.1:9050
 SOCKS5_SERVER=127.0.0.1:9050
 
-# Torbutton 1.5.1+ uses those environment variables
-TOR_SOCKS_HOST='127.0.0.1'
-TOR_SOCKS_PORT='9151'
-
-# Allow Torbutton access to the control port filter (for new identity).
-# Setting a password is required, otherwise Torbutton attempts to
-# read the authentication cookie file instead, which fails.
-TOR_CONTROL_HOST='127.0.0.1'
-TOR_CONTROL_PORT='9052'
-TOR_CONTROL_PASSWD='passwd'
-
 GIT_PROXY_COMMAND=/usr/local/bin/connect-socks
 
 # Port that the monkeysphere validation agent listens on
diff --git a/config/chroot_local-includes/usr/local/bin/iceweasel b/config/chroot_local-includes/usr/local/bin/iceweasel
index eeeb348..2b45ff8 100755
--- a/config/chroot_local-includes/usr/local/bin/iceweasel
+++ b/config/chroot_local-includes/usr/local/bin/iceweasel
@@ -25,5 +25,16 @@ tor_has_bootstrapped() {
 }
 
 if tor_has_bootstrapped || ask_for_confirmation; then
+    # Torbutton 1.5.1+ uses those environment variables
+    TOR_SOCKS_HOST='127.0.0.1'
+    TOR_SOCKS_PORT='9151'
+
+    # Allow Torbutton access to the control port filter (for new identity).
+    # Setting a password is required, otherwise Torbutton attempts to
+    # read the authentication cookie file instead, which fails.
+    TOR_CONTROL_HOST='127.0.0.1'
+    TOR_CONTROL_PORT='9052'
+    TOR_CONTROL_PASSWD='passwd'
+
     exec /usr/bin/iceweasel "$@" &
 fi
-- 
2.0.1

